Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Improve legacy upgrade contextual help.

  • Loading branch information...
commit a51b5d699ccd93f26ccdeaf597d3b4d84d4f715f 1 parent dad8b98
Michael Sisk authored
Showing with 5 additions and 7 deletions.
  1. +4 −6 -/php/help.php
  2. +1 −1  -/php/legacy.php
View
10 -/php/help.php
@@ -1025,14 +1025,12 @@ private function legacy_overview() {
<li>%s</li>
<li>%s</li>
<li>%s</li>
- <li>%s</li>
</ol>',
- sprintf( __( 'The Upgrade Webcomic tool attempts to automatically convert your existing Webcomic %1$s data to Webcomic %2$s. Depending on the size of your site the upgrade may require multiple steps. If you do not want to upgrade click <strong>Not Interested</strong> to uninstall Webcomic %2$s. If you\'re upgrading to Webcomic 4 from Webcomic 1, 2, or 3 please read the following carefully:', 'webcomic' ), self::$config[ 'legacy' ], self::$version ),
+ sprintf( __( 'The Upgrade Webcomic tool attempts to automatically convert your existing %1$s data to Webcomic %2$s. Depending on the size of your site the upgrade may require multiple steps. If you do not want to upgrade click <strong>Not Interested</strong> to uninstall Webcomic %2$s. If you do want to upgrade please read the following carefully:', 'webcomic' ), is_numeric( self::$config[ 'legacy' ] ) ? sprintf( 'Webcomic %s', self::$config[ 'legacy' ] ) : self::$config[ 'legacy' ], self::$version ),
sprintf( __( 'Upgrades are not reversible and, once begun, should not be stopped. You should <a href="%1$s">backup your site</a> before starting the <strong>irreversible</strong>, <strong>unstoppable</strong> upgrade, or click <strong>Not Interested</strong> to uninstall Webcomic %2$s.', 'webcomic' ), esc_url( admin_url( 'export.php' ) ), self::$version ),
- sprintf( __( 'Webcomic %s uses <a href="%1$s" target="_blank">the WordPress Media Library</a> for file management. All of your existing webcomic files must be imported into the media library during the upgrade. Existing files will not be moved or deleted; they will be <strong>copied</strong> into the media library. You may want to <a href="%2$s">adjust your image size settings</a> prior to upgrading.', 'webcomic' ), 'http://codex.wordpress.org/Media_Library_Screen', admin_url( 'options-media.php' ) ),
- sprintf( __( "The permalink URL's to your webcomics may change after upgrading. Permalinks <a href='%s' target=''>may be customized</a> for each of your collections once the upgrade is complete.", 'webcomic' ), '//github.com/mgsisk/webcomic/wiki/Permalink-Settings' ),
- sprintf( __( 'Webcomic 1, 2, and 3 themes are <strong>not</strong> compatible with Webcomic 4, but a selection of <a href="%1$s" target="_blank">new Webcomic-ready themes</a>. are available for Webcomic %2$s.', 'webcomic' ), 'http://webcomic.nu', self::$version ),
- sprintf( __( "Webcomic %s includes an array of new <a href='//github.com/mgsisk/webcomic/wiki/Template-Tags-and-Shortcodes' target='_blank'>template tags, shortcodes</a>, and <a href='//github.com/mgsisk/webcomic/wiki/Widgets' target='_blank'>widgets</a> that function differently from previous versions. If you have customized an existing WordPress theme or built your own using Webcomic's template tags, shortcodes, and/or widgets your theme may need to be updated.", 'webcomic' ), self::$version )
+ sprintf( __( 'Webcomic %s uses <a href="%1$s" target="_blank">the WordPress Media Library</a> for file management. All of your existing webcomic images must be imported into the media library during the upgrade. Existing files will not be moved or deleted; they will be <strong>copied</strong> into the media library. You may want to <a href="%2$s">adjust your image size settings</a> prior to upgrading.', 'webcomic' ), 'http://codex.wordpress.org/Media_Library_Screen', admin_url( 'options-media.php' ) ),
+ sprintf( __( "The permalink URL's to your webcomics may change after upgrading. Permalinks <a href='%s' target=''>can be customized</a> for each of your collections once the upgrade is complete.", 'webcomic' ), '//github.com/mgsisk/webcomic/wiki/Permalink-Settings' ),
+ sprintf( __( 'Your current theme may not function properly with Webcomic %2$s, but a selection of <a href="%1$s" target="_blank">new Webcomic-ready themes</a> are available for use with Webcomic %2$s. If your theme was customized for a previous version of Webcomic please refer to the <a href="%3$s" target="_blank">Beginner\'s Guide</a> for information on Webcomic $2%s\'s new template tags.', 'webcomic' ), '//github.com/mgsisk/webcomic/wiki/Themes', self::$version, '//github.com/mgsisk/webcomic/wiki/Template-Tags-and-Shortcodes' )
);
}
View
2  -/php/legacy.php
@@ -126,7 +126,7 @@ public function admin_init() {
* @hook admin_menu
*/
public function admin_menu() {
- add_submenu_page( 'tools.php', __( 'Upgrade to Webcomic 4', 'webcomic' ), __( 'Upgrade Webcomic', 'webcomic' ), 'manage_options', 'webcomic-upgrader', array( $this, 'page' ) );
+ add_submenu_page( 'tools.php', sprintf( __( 'Upgrade to Webcomic %s', 'webcomic' ), self::$version ), __( 'Upgrade Webcomic', 'webcomic' ), 'manage_options', 'webcomic-upgrader', array( $this, 'page' ) );
}
/** Render upgrade tool notification.
Please sign in to comment.
Something went wrong with that request. Please try again.